/**
* DevExtreme (ui/button.d.ts)
* Version: 18.2.16
* Build date: Fri Dec 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxButton(): JQuery;
    dxButton(options: "instance"): DevExpress.ui.dxButton;
    dxButton(options: string): any;
    dxButton(options: string, ...params: any[]): any;
    dxButton(options: DevExpress.ui.dxButtonOptions): JQuery;
}
}
export default DevExpress.ui.dxButton;
export type Options = DevExpress.ui.dxButtonOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxButtonOptions;